> For the complete documentation index, see [llms.txt](https://docs.mburger.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mburger.cloud/api-docs-1/integrations-extensions/users/update-profile.md).

# Update Profile

{% hint style="info" %}
How to update a user profile
{% endhint %}

{% tabs %}
{% tab title="Request" %}
`POST https://mburger.cloud/api/profile/update`

```bash
curl https://mburger.cloud/api/profile/update
-X POST 
-H "Accept: application/json" 
-H "Content-Type: application/x-www-form-urlencoded"
-H "X-MBurger-Token: <token>" 
-H "X-MBurger-Version: 3"
-H "Authorization: Bearer <JWT>"
-d '<data>' 
```

#### Parameters

| Name    | Type   | Required | Description                                 |
| ------- | ------ | -------- | ------------------------------------------- |
| name    | string | Yes      | The user name                               |
| surname | string | Yes      | The user surname                            |
| data    | JSON   | No       | JSON object/array that contains custom data |

Parameters list is in the Register parameters table.
{% endtab %}

{% tab title="Response" %}
When successful, a HTTP 200 and JSON like this is returned:

```bash
{
  "status_code": 0,
  "body": {
    "id": 1,
    "name": "Name",
    "surname": "Surname",
    "email": "name.surname@mail.com",
    "fb_id": null,
    "auth_mode": "email",
    "data": {
      "key": "value"
    },
    "stripe_id": null,
    "card_brand": null,
    "card_last_four": null,
    "trial_ends_at": null,
    "subscriptions": [],
    "purchases": [],
    "published_sections": [],
    "contracts": []
  }  
}
```

{% endtab %}
{% endtabs %}
